
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 仓库项和供货城市关联信息VO
 *
 * @author tmerclub
 * @date 2023-11-08 11:11:44
 */
public class WarehouseAreaVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "")
    private Long warehouseAreaId;

    @Schema(description = "仓库id")
    private Long warehouseId;

    @Schema(description = "城市id")
    private Long areaId;

    public Long getWarehouseAreaId() {
        return warehouseAreaId;
    }

    public void setWarehouseAreaId(Long warehouseAreaId) {
        this.warehouseAreaId = warehouseAreaId;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    @Override
    public String toString() {
        return "WarehouseAreaVO{" +
                "warehouseAreaId=" + warehouseAreaId +
                ", warehouseId=" + warehouseId +
                ", areaId=" + areaId +
                '}';
    }
}
